%global project tripleo-heat-templates

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define old_version_tar 0.8.15.dev28
%define old_version liberty

Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version:        2.0.0
Release:        34%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0:        http://tarballs.openstack.org/%{project}/%{project}-%{version}.tar.gz
Source1:        tripleo-heat-templates-%{old_version_tar}.tar.gz

#patches_base=+2
Patch0001: 0001-Remove-password-default-for-AodhPassword.patch
Patch0002: 0002-Don-t-restart-Pacemaker-managed-services-from-Puppet.patch
Patch0003: 0003-Add-quotes-around-the-cinder_iscsi_ip_address-value.patch
Patch0004: 0004-compute-restart-OVS-agent-on-neutron.conf-changes.patch
Patch0005: 0005-change-the-default-satellite-tools-rpm-repo.patch
Patch0006: 0006-Set-UpdateIdentifier-for-upgrade-converge-to-prevent.patch
Patch0007: 0007-PLUMgrid-Neutron-integration.patch
Patch0008: 0008-Enable-galera-replication-for-Mariadb-10.1.patch
Patch0009: 0009-Restart-haproxy-after-configuring-SSL-certs.patch
Patch0010: 0010-Add-removal-of-the-etc-resolv.conf.save-file-for-bug.patch
Patch0011: 0011-Filter-for-local-nodes-in-check_resource-function.patch
Patch0012: 0012-Disable-Nova-v3-API.patch
Patch0013: 0013-Remove-hack-the-pulls-latest-docker.patch
Patch0014: 0014-Add-EndpointMap-as-output.patch
Patch0015: 0015-Keep-setting-backend_host-to-hostgroup-for-rbd-backe.patch
Patch0016: 0016-Centos-gives-dev-pts-ptmx-the-wrong-perms.patch
Patch0017: 0017-Nova-needs-the-proper-volumes-to-use-Cinder.patch
Patch0018: 0018-Deploy-Gnocchi-as-a-Ceilometer-metrics-storage-backe.patch
Patch0019: 0019-The-Sahara-SSL-endpoint-was-announced-on-the-wrong-p.patch
Patch0020: 0020-Fix-the-Sahara-public-endpoint-and-make-it-point-to-.patch
Patch0021: 0021-Fix-controller-no-external.yaml-in-bonded-configs.patch
Patch0022: 0022-Disable-VIPs-before-stopping-cluster-during-version-.patch
Patch0023: 0023-Fix-the-ManagementNetValueSpecs-param-type.patch
Patch0024: 0024-Updates-ControlPlaneSubnetCidr-to-be-a-string.patch
Patch0025: 0025-Use-a-different-ceph-key-for-admin-client-user.patch
Patch0026: 0026-Fix-Neutron-enable_-_agent-Hiera-parameters.patch
Patch0027: 0027-Make-sure-openstack-services-are-dependent-on-openst.patch
Patch0028: 0028-Update-management_from_pool-template-version-to-2015.patch
Patch0029: 0029-Tighten-the-access-rules-for-galera.patch
Patch0030: 0030-Don-t-have-separate-protocols-ports-for-Keystone-v3.patch
Patch0031: 0031-Fix-ceph-keyring-setting-for-gnocchi.patch
Patch0032: 0032-Enable-bulk-delete-in-swift-for-gnocchi.patch
Patch0033: 0033-Update-.sh-references-from-openstack-keystone-to-ope.patch
Patch0034: 0034-Aodh-upgrade-heat-template-and-manifests-to-replace-.patch
Patch0035: 0035-Add-coordination-url-to-gnocchi.patch
Patch0036: 0036-Fix-distinguishing-between-stack-create-and-stack-up.patch
Patch0037: 0037-Add-redis-constraint-to-aodh-upgrade-manifest.patch
Patch0038: 0038-OSP-only-use-puppet-pacemaker.yaml-values-in-resourc.patch
Patch0039: 0039-OSP-only-Retain-existing-ComputeHostnameFormat-when-.patch
Patch0040: 0040-Include-bulk-in-swift-proxy-pipeline.patch
Patch0041: 0041-Ensure-the-Heat-Domain-parameters-before-starting-he.patch
Patch0042: 0042-Keystone-liberty-mitaka-upgrade-step.patch
Patch0043: 0043-Stop-no-opping-PackageUpdate-on-upgrade.patch
Patch0044: 0044-Add-require-all-false-to-aodh-upgrade-constraint.patch
Patch0045: 0045-Allow-pacemaker-ports-in-firewall.patch
Patch0046: 0046-Allow-sahara-ports-in-firewall.patch
Patch0047: 0047-L-M-upgrades-keystone-change-of-path-of-the-paste_de.patch
Patch0048: 0048-Disable-stonith-temporarily-during-upgrades.patch
Patch0049: 0049-Fix-ceilometer-auth-url.patch
Patch0050: 0050-Increase-cluster-sync-timeout-for-M-N-major-upgrades.patch
Patch0051: 0051-Install-packages-for-new-components-on-upgrade.patch
Patch0052: 0052-Dump-and-restore-galera-db-during-major-upgrades.patch
Patch0053: 0053-set-aodh-auth_url-explicitly.patch
Patch0054: 0054-Allow-neutron_options-customization-for-dashboard.patch
Patch0055: 0055-Reload-haproxy-after-injecting-certs-w-o-pcmk-too.patch
Patch0056: 0056-Create-openstack-core-resource-regardless-of-enable_.patch
Patch0057: 0057-openstack-core-resource-does-not-have-interleave-tru.patch
Patch0058: 0058-Remove-two-races-during-the-L-M-Keystone-under-httpd.patch
Patch0059: 0059-Repurpose-KeystoneWorkers-add-keystone-wsgi-apache-t.patch
Patch0060: 0060-Merge-pacemaker_master-sync_db-conditionals.patch
Patch0061: 0061-Add-base-constraint-so-gnocchi-metricd-is-tied-to-co.patch
Patch0062: 0062-Install-python-cradox-explicitly-during-upgrades.patch
Patch0063: 0063-Use-create-legacy-resource-types-during-gnocchi-upgr.patch
Patch0064: 0064-Change-default-documentation-URL.patch
Patch0065: 0065-Fix-ceilometer-auth-url-for-compute.patch
Patch0066: 0066-downstream-only-UpgradeInitCommand-for-OSP.patch
Patch0067: 0067-Set-secure_proxy_ssl_header-HTTP_X_FORWARDED_PROTO-f.patch
Patch0068: 0068-Configure-Nova-cache-options-correctly-Mitaka-only.patch
Patch0069: 0069-Fix-network-isolation.yaml-to-stop-clobbering-Manage.patch
Patch0070: 0070-We-don-t-need-to-set-a-default-for-the-CephX-keys-an.patch
Patch0071: 0071-Restore-CephAdminKey-and-CephMonKey-default.patch
Patch0072: 0072-Revert-Restore-CephAdminKey-and-CephMonKey-default.patch
Patch0073: 0073-Revert-We-don-t-need-to-set-a-default-for-the-CephX-.patch
Patch0074: 0074-Remove-the-ControllerCount-constraint.patch
Patch0075: 0075-Increase-RabbitMQ-maximum-file-descriptors.patch
Patch0076: 0076-Properly-direct-MTU-parameters-and-allow-service-def.patch
Patch0077: 0077-Add-parameter-for-enabling-purging-configuration-fil.patch
Patch0078: 0078-Don-t-trigger-mariadb-upgrade-dump-restore-when-not-.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python-pbr
BuildRequires:  git

Requires:       PyYAML
Requires:   %{name}-%{old_version} = %{version}-%{release}

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%package %{old_version}
Summary:    Heat templates for the Red Hat OpenStack Platform 8 release
Group:      System Environment/Base

Requires:	PyYAML

%description %{old_version}
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  This set of
templates is for use with the Red Hat OpenStack Platform 8 release.


%prep
%autosetup -n %{project}-%{version} -S git
%setup -T -n %{project}-%{version} -D -a 1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

cd %{project}-%{old_version_tar}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/%{old_version}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}/%{old_version}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}/%{old_version}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}/%{old_version}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}/%{old_version}
cp -ar environments %{buildroot}/%{_datadir}/%{name}/%{old_version}
cp -ar network %{buildroot}/%{_datadir}/%{name}/%{old_version}
if [ -d validation-scripts ]; then
  cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}/%{old_version}
fi
if [ -d examples ]; then
  rm -rf examples
fi
cd ..

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}/[^kl]*


%files %{old_version}
%{_datadir}/%{name}/%{old_version}

%changelog
* Wed Sep 07 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-34
- Don't trigger mariadb upgrade dump/restore when not needed (rhbz#1357112)

* Tue Aug 16 2016 Mike Burns <mburns@redhat.com> 2.0.0-33
- Add parameter for enabling purging configuration files rhbz#1365949

* Fri Aug 12 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-32
- Properly direct MTU parameters and allow service defaults
  Resolves: rhbz#1365153

* Wed Aug 10 2016 Mike Burns <mburns@redhat.com> 2.0.0-31
- Increase RabbitMQ maximum file descriptors. rhbz#1356490
- Remove the ControllerCount constraint rhbz#1365679

* Fri Aug 05 2016 Mike Burns <mburns@redhat.com> 2.0.0-30
- Revert "We don't need to set a default for the CephX keys and cluster FSID" rhbz#1364490

* Wed Aug 03 2016 Mike Burns <mburns@redhat.com> 2.0.0-29
- We don't need to set a default for the CephX keys and cluster FSID rhbz#1356107

* Tue Aug 02 2016 Jason Joyce <jjoyce@redhat.com> 2.0.0-28
- Fix network-isolation.yaml to stop clobbering Management net
  Resolves: rhbz#1349180

* Tue Aug 02 2016 Sven Anderson <sven@redhat.com> 2.0.0-27
- Configure Nova [cache] options correctly (Mitaka only) (rhbz#1340475)

* Fri Jul 29 2016 Jason Joyce <jjoyce@redhat.com> 2.0.0-26
- Set secure_proxy_ssl_header 'HTTP_X_FORWARDED_PROTO' for nova-api (rhbz#1351255)

* Fri Jul 29 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-25
- [downstream only] UpgradeInitCommand for OSP (rhbz#1361177)

* Thu Jul 28 2016 Pradeep Kilambi <pkilambi@redhat.com> 2.0.0-24
- Fix ceilometer auth url for compute
- Change default documentation URL

* Wed Jul 27 2016 Pradeep Kilambi <pkilambi@redhat.com> 2.0.0-23
- Use create-legacy-resource-types during gnocchi-upgrade
- Install python-cradox explicitly during upgrades
- Add base constraint so gnocchi metricd is tied to core-clone

* Tue Jul 26 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-22
- Merge pacemaker_master/sync_db conditionals
  Resolves: rhbz#1349456

* Tue Jul 26 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-21
- Repurpose KeystoneWorkers add keystone::wsgi::apache::threads (rhbz#1347305)
- Remove two races during the L->M Keystone under httpd migration (rhbz#1348831)
- openstack-core resource does not have interleave=true (rhbz#1356997)

* Tue Jul 26 2016 Mike Burns <mburns@redhat.com> 2.0.0-20
- Create keystone roles and admin user from t-h-t manifests rhbz#1357090

* Tue Jul 26 2016 Mike Burns <mburns@redhat.com> 2.0.0-19
- drop -kilo subpackage

* Fri Jul 22 2016 Jason Joyce <jjoyce@redhat.com> 2.0.0-18
- Create openstack-core resource regardless of enable_load_balancer (rhbz#1353637)

* Thu Jul 21 2016 Jason Joyce <jjoyce@redhat.com> 2.0.0-17
* Ensure the Heat Domain parameters before starting heat-engine pcmk service (rhbz#1340453)

* Fri Jul 15 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-16
- [OSP only] Retain existing ComputeHostnameFormat when upgrading older envs
- [OSP only] use puppet-pacemaker.yaml values in resource registry

* Wed Jul 13 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-15
- Include bulk in swift proxy pipeline (rhbz#1344026)

* Mon Jul 11 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-14
- [OSP only] Retain existing ComputeHostnameFormat when upgrading older envs (rhbz#1352057)

* Tue Jul 05 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-13
- [OSP only] use puppet-pacemaker.yaml values in resource registry
- Dump and restore galera db during major upgrades
- [Mitaka only] Install packages for new components on upgrade
- Increase cluster sync timeout for M->N major upgrades
- Fix ceilometer auth url
- Disable stonith temporarily during upgrades
- L->M upgrades keystone change of path of the paste_deploy config_file
- Allow sahara ports in firewall
- Allow pacemaker ports in firewall

* Mon Jun 27 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-12
- [OSP only] use puppet-pacemaker.yaml values in resource registry
- Add require-all=false to aodh upgrade constraint
- set aodh auth_url explicitly

* Thu Jun 16 2016 Mike Burns <mburns@redhat.com> 2.0.0-11
- Don-t-have-separate-protocols-ports-for-Keystone-v3
- Add redis constraint to aodh upgrade manifest
- Fix distinguishing between stack-create and stack-update
- Add coordination url to gnocchi
- Aodh upgrade heat template and manifests to replace ceilometer alarms
- Update .sh references from openstack-keystone to openstack-core
- Enable bulk delete in swift for gnocchi
- Fix ceph keyring setting for gnocchi
- Don't have separate protocols ports for Keystone v3

* Fri Jun 10 2016 Mike Burns <mburns@redhat.com> 2.0.0-10
- update osp7 and osp8 templates

* Tue Jun 07 2016 Mike Burns <mburns@redhat.com> 2.0.0-9
- [OSP only] use puppet-pacemaker.yaml values in resource registry
- Update management_from_pool template version to 2015-10-15
- Tighten the access rules for galera
- Fix Neutron enable_*_agent* Hiera parameters
- Updates ControlPlaneSubnetCidr to be a string
- Disable VIPs before stopping cluster during version upgrade
- Fix the Sahara public endpoint and make it point to the Public VIP

* Wed May 25 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-8
- [OSP only] use puppet-pacemaker.yaml values in resource registry
  Resolves: rhbz#1337537

* Wed May 18 2016 Thierry Vignaud <tvignaud@redhat.com> - 2.0.0-7
- fix file conflicts with -kilo and -liberty sub-rpms

* Fri May 13 2016 Mike Burns <mburns@redhat.com> 2.0.0-5
- Add -kilo and -liberty sub-rpms
  Resolves: rhbz#1333979

* Fri May 13 2016 Mike Burns <mburns@redhat.com> 2.0.0-4
- Disable VIPs before stopping cluster during version upgrade
- Fix the Sahara public endpoint and make it point to the Public VIP
- Fix controller-no-external.yaml in bonded configs.
- The Sahara SSL endpoint was announced on the wrong port
- Keep setting backend_host to 'hostgroup' for rbd backends
- Add EndpointMap as output
- Deploy Gnocchi as a Ceilometer metrics storage backend
- Add removal of the /etc/resolv.conf.save file for +bug/1567004
- Filter for local nodes in check_resource function
- Nova needs the proper volumes to use Cinder
- Centos gives /dev/pts/ptmx the wrong perms
- Restart haproxy after configuring SSL certs
- Enable galera replication for Mariadb 10.1
- Disable Nova v3 API
- Remove hack the pulls latest docker
- compute: restart OVS agent on neutron.conf changes
- change the default satellite tools rpm repo.
- PLUMgrid Neutron integration
- Don't restart Pacemaker-managed services from Puppet
- Add quotes around the cinder_iscsi_ip_address value
- Remove password default for AodhPassword
- Set UpdateIdentifier for upgrade converge, to prevent services down

* Fri Apr 15 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 2.0.0-3.f3215d2git
- Fix BR: git

* Sat Apr  2 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 2.0.0-2.f3215d2git
- Fix MariaDB and Pacemaker issues

* Wed Mar 30 2016 RDO <rdo-list@redhat.com> 2.0.0-1
- RC1 Rebuild for Mitaka RC1 
